/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.client.internal.SessionManager");

dojo.require("com.ibm.rational.report.web.core.client.internal.ProvisioningClient");

var ProvisioningClient		= com.ibm.rational.report.web.core.client.internal.ProvisioningClient;

/**
 * Manages session timeouts.
 */
com.ibm.rational.report.web.core.client.internal.SessionManager = {
	
	startTimeout: function() {
		var timeoutInterval = ProvisioningClient.getTimeoutInterval();
		if (timeoutInterval > 0) {
			var self = this;
			this._timeout = setTimeout(
				function() {
					self._displayLoginDialog();
				}, timeoutInterval * 1000);
		}
	},
	
	resetTimeOut: function() {
		if (this._timeout) {
			clearTimeout(this._timeout);
			this.startTimeout();
		}
	},
	
	_displayLoginDialog: function() {
		var self = this;
		var bindArgs = {
			url: net.jazz.ajax._contextRoot + "/auth/logout",
			handleAs: "json",
			headers: {
				accept: "text/json"
			},
			preventCache: dojo.isIE,
			handle: function(response, ioArgs) {
				document.location.reload();				
			}
		};
		dojo.xhrPost(bindArgs);
	}

};

})();